# Get Indexed Files By Status

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Get Indexed Files By Status"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v1/workspaces/{workspace_name}/indexes/{index_name}/files"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Returns IDs of all files with a specific status and processed by a specified index.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"Name of the pipeline index.","in":"path","name":"index_name","required":true,"schema":{"description":"Name of the pipeline index.","title":"Index Name","type":"string"}},{"description":"Type the name of the workspace.","in":"path","name":"workspace_name","required":true,"schema":{"description":"Type the name of the workspace.","title":"Workspace Name","type":"string"}},{"description":"The indexing status of the files you want to display.","in":"query","name":"status","required":false,"schema":{"default":"FAILED","description":"The indexing status of the files you want to display.","enum":["FAILED","NO_DOCUMENTS"],"title":"FileStatus","type":"string"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"items":{"format":"uuid","type":"string"},"title":"Response Get Indexed Files By Status Api V1 Workspaces  Workspace Name  Indexes  Index Name  Files Get","type":"array"}}},"description":"Successful Response"},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
